i2o_block_sglist_alloc
Prev | I2O message devices | Next

## Name

i2o_block_sglist_alloc — Allocate the SG list and map it

## Synopsis

`int i2o_block_sglist_alloc (` | struct i2o_controller * | c,
| struct i2o_block_request * | ireq,
| u32 ** | mptr`)`;

## Arguments

`c`

  I2O controller to which the request belongs

`ireq`

  I2O block request

`mptr`

  message body pointer

## Description

Builds the SG list and map it to be accessable by the controller.

Returns 0 on failure or 1 on success.

Prev | Up | Next
i2o_block_request_free | Home | i2o_block_sglist_free